<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_63589e5520a96ab938b2d6" . "9673e48d44" => base64_decode("aWN" . "faX" . "Nzd" . "WU="), "_b5376d0e9fe3d5eb6" . "bf061a08124c0f8" => base64_decode("aWNfcHJvamVjdA=" . "="), "_680a1dbec29674745c" . "98efd92ae1c0f6" => base64_decode("YXB" . "wX2" . "lj"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_ca5c0c5d8fc7b79" . "e47b56dde22624d0" . "4" => base64_decode("aGVscGRl" . "c2sucGFn" . "ZXMubWFp" . "bg=="));
use Claromentis\Search\ItemType;






class ICApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_63589e5520a96ab938b2d" . "69673e48d44"] => function () {
            return new ItemType\ICIssue();
        }, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b5376d0e9fe3d5eb6bf061a08124c" . "0f8"] => function () {
            return new ItemType\ICProject();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ca5c0c5d8fc7b79e47b56" . "dde22624d04"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_680a1dbec29674745c98efd92ae1c" . "0f6"];
    }
}